// Revision: 66 1.3.1.3 source/multmed/immcc.cpp, multimedia, ioc.v400, 000920  
/*******************************************************************************
* FILE NAME: immcc.cpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file is intended to provide a temporary workaround of a compiler      *
*   RTTI bug.                                                                  *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

// for sources\ocsrc\imultmed

#include <immplypn.hpp>
#include <immaud.hpp>
#include <immdigvd.hpp>
#include <immowin.hpp>
#include <immfilem.hpp>
#include <immsequ.hpp>
#include <immwave.hpp>
#include <immexcpt.hpp>
#include <immrecrd.hpp>

#include <immremed.hpp>
#include <immcdda.hpp>
#include <immmaud.hpp>
#include <immdev.hpp>
#include <immplayd.hpp>
#include <immspeed.hpp>

#include <immcdhdr.hpp>
#include <immremhd.hpp>
#include <immdvhdr.hpp>
#include <immdevnh.hpp>
#include <immremnh.hpp>

// Segment definitions.
#ifdef IC_PAGETUNE
  #define _IMMCC_CPP_
  #include <ipagetun.h>
#endif

IMMPlayerPanel::IMMPlayerPanel            ( const IMMPlayerPanel& panel )
    : IMultiCellCanvas (1,NULL,NULL) {}
IMMConfigurableAudio::IMMConfigurableAudio( const IMMConfigurableAudio& device)
    : IMMRecordable (0) {}
IMMDigitalVideo::IMMDigitalVideo          ( const IMMDigitalVideo& device )
    : IMMConfigurableAudio (0) {}
IMMMessageWindow::IMMMessageWindow        ( const IMMMessageWindow& window ) {}
IMMFileMedia::IMMFileMedia                ( const IMMFileMedia& device )
    : IMMPlayableDevice (0) {}
IMMSequencer::IMMSequencer                ( const IMMSequencer& device )
    : IMMFileMedia (0) {}
IMMWaveAudio::IMMWaveAudio                ( const IMMWaveAudio& device )
    : IMMConfigurableAudio (0) {}
IMMErrorInfo::IMMErrorInfo                ( const IMMErrorInfo& errorInformation ) {}
IMMRecordable::IMMRecordable              ( const IMMRecordable& device )
    : IMMFileMedia (0) {}

IMMRemovableMedia::IMMRemovableMedia      ( const IMMRemovableMedia& device )
    : IMMPlayableDevice(0) {}

IMMAudioCD::IMMAudioCD                    (const IMMAudioCD& device )
    : IMMRemovableMedia(0) {}

IMMMasterAudio::IMMMasterAudio            (const IMMMasterAudio& device)
    {int x=0;}

IMMDevice::IMMDevice                      (const IMMDevice& device)
    {int x=0;}

IMMPlayableDevice::IMMPlayableDevice      (const IMMPlayableDevice& device)
    : IMMDevice(0) {}

IMMAudioCDHandler::IMMAudioCDHandler      (const IMMAudioCDHandler& handler)
    : IMMRemovableMediaHandler() {}

IMMRemovableMediaHandler::IMMRemovableMediaHandler
    (const IMMRemovableMediaHandler& handler)
    : IMMDeviceHandler() {}

IMMDeviceHandler::IMMDeviceHandler        (const IMMDeviceHandler& handler)
    : IHandler() {}

IMMDeviceNotifyHandler::IMMDeviceNotifyHandler  (const IMMDeviceNotifyHandler& handler)
    {int x=0;}

IMMRemovableMediaNotifyHandler::IMMRemovableMediaNotifyHandler
    (const IMMRemovableMediaNotifyHandler& handler)
    {int x=0;}

// Need to implement a "real" copy ctor here, as IMMDigvd uses
//IMMSpeed::IMMSpeed                        (const IMMSpeed& speed)
//    {int x=0;}

