/*******************************************************************************
* FILE NAME: igrafcc.cpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file is intended to provide a temporary workaround of a compiler      *
*   RTTI bug.                                                                  *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
// Revision: 73 1.4.1.4 source/ographic/igrafcc.cpp, graphics, ioc.v400, 000920 

// for sources\ocsrc\igraphic

#include <ibase.hpp>

// Segment definitions
#ifdef IC_PAGETUNE
   #define _IGRAFCC_CPP_
   #include <ipagetun.h>
#endif

#ifdef IC_PMWIN

// d:\ocsrc\igraphic\obj\igrafctx.obj(igrafctx.cpp)
#include <igrafctx.hpp>

IGraphicContext::IGraphicContext(const IGraphicContext&) : fFillColor (IBaseColor::kWhite) {}


// d:\ocsrc\igraphic\obj\iglist.obj(iglist.cpp)
#include <iglist.hpp>

IGList::Cursor::Cursor() {}


// d:\ocsrc\igraphic\obj\igbitmap.obj(igbitmap.cpp)
#include <igbitmap.hpp>

IGBitmap::IGBitmap(const IGBitmap&) {}


// d:\ocsrc\igraphic\obj\igstring.obj(igstring.cpp)
#include <igstring.hpp>

IGString::IGString() {}

#endif // IC_PMWIN


